# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "keepassxc-proxy-getpw"
version = "0.2.1"
authors = ["Rasmus Moorats"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI tool to get passwords from a running KeePassXC instance"
homepage = "https://git.dog/xx/keepassxc-proxy-getpw"
readme = "README.md"
keywords = [
    "keepassxc",
    "password",
    "credentials",
    "cli",
]
categories = [
    "command-line-utilities",
    "authentication",
]
license = "MIT"
repository = "https://git.dog/xx/keepassxc-proxy-getpw"

[[bin]]
name = "keepassxc-proxy-getpw"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.53"
features = ["derive"]

[dependencies.dirs]
version = "6.0.0"

[dependencies.keepassxc-proxy-lib]
version = "0.1"

[dependencies.serde_json]
version = "1.0.145"
